View Issue Details

IDProjectCategoryView StatusLast Update
0031521Open CASCADEOCCT:Samplespublic2021-09-20 10:21
Reporterkgv Assigned Tobugmaster  
PrioritynormalSeverityintegration request 
Status closedResolutionfixed 
Target Version7.5.0Fixed in Version7.5.0 
Summary0031521: Samples - update MFC ImportExport sample to use AIS_ViewController
DescriptionIt is desired replacing custom mouse gestures within MFC ImportExport sample with AIS_ViewController.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required

Relationships

related to 0028087 newbugmaster OCCT Samples Redesign 
child of 0030507 closedbugmaster Visualization - introduce AIS_ViewController 
child of 0029030 newbugmaster Samples - show hint for mouse controls of 3D viewer 

Activities

git

2020-04-24 17:03

administrator   ~0091786

Branch CR31521 has been created by kgv.

SHA-1: ba0ed7f6c3aa6377238fac1bc87322a4f181101b


Detailed log of new commits:

Author: kgv
Date: Fri Apr 24 17:03:20 2020 +0300

    0031521: Samples - update MFC ImportExport sample to use AIS_ViewController
    
    The following MFC samples have been updated to use AIS_ViewController:
    Geometry, HLR, ImportExport, Modeling, OCAF, Triangulation, Viewer2D.

git

2020-04-24 17:22

administrator   ~0091788

Branch CR31521 has been updated forcibly by kgv.

SHA-1: 21991c34ef4cf8fde85976304ba22deb2824981e

kgv

2020-04-24 18:08

developer   ~0091792

Patch is ready for review in OCCT branch CR31521.

http://jenkins-test-12.nnov.opencascade.com/view/CR31521-master-KGV/view/SAMPLES/

git

2020-04-27 10:53

administrator   ~0091817

Branch CR31521 has been updated forcibly by kgv.

SHA-1: f9a46d7ef6c135c12e89b761112f8c3db014f59e

osa

2020-04-27 14:19

developer   ~0091820

The patch was reviewed

bugmaster

2020-05-07 10:50

administrator   ~0091977

Combination -
OCCT branch : WEEK-18
master SHA - b40cdc2b5584fdf78f90594a3c7469213c7dc4a6
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : WEEK-18 SHA - f3160246a8ae8356b116065842ce354791652bb4
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17165.480000000167 / 17147.810000000212 [+0.10%]
Products
Total CPU difference: 11271.100000000095 / 11280.480000000087 [-0.08%]
Windows-64-VC14:
OCCT
Total CPU difference: 18654.578125 / 18665.890625 [-0.06%]
Products
Total CPU difference: 13128.59375 / 13209.109375 [-0.61%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2020-05-10 14:17

administrator   ~0092050

Branch CR31521 has been deleted by inv.

SHA-1: f9a46d7ef6c135c12e89b761112f8c3db014f59e

Related Changesets

occt: master 7ff18fb9

2020-04-24 14:03:20

kgv


Committer: bugmaster Details Diff
0031521: Samples - update MFC ImportExport sample to use AIS_ViewController

The following MFC samples have been updated to use AIS_ViewController:
Geometry, HLR, ImportExport, Modeling, OCAF, Triangulation, Viewer2D.
Affected Issues
0031521
mod - samples/mfc/standard/01_Geometry/src/GeometryView2D.cpp Diff File
mod - samples/mfc/standard/01_Geometry/src/GeometryView2D.h Diff File
mod - samples/mfc/standard/08_HLR/src/HLRDoc.cpp Diff File
mod - samples/mfc/standard/08_HLR/src/HLRView2D.cpp Diff File
mod - samples/mfc/standard/08_HLR/src/HLRView2D.h Diff File
mod - samples/mfc/standard/Common/OCC_2dDoc.cpp Diff File
mod - samples/mfc/standard/Common/OCC_2dDoc.h Diff File
mod - samples/mfc/standard/Common/OCC_2dView.cpp Diff File
mod - samples/mfc/standard/Common/OCC_2dView.h Diff File
mod - samples/mfc/standard/Common/OCC_3dBaseDoc.cpp Diff File
mod - samples/mfc/standard/Common/OCC_3dBaseDoc.h Diff File
mod - samples/mfc/standard/Common/OCC_3dView.cpp Diff File
mod - samples/mfc/standard/Common/OCC_3dView.h Diff File
mod - samples/mfc/standard/Common/OCC_BaseDoc.cpp Diff File
mod - samples/mfc/standard/Common/OCC_BaseDoc.h Diff File
mod - samples/mfc/standard/Common/OCC_BaseView.cpp Diff File
mod - samples/mfc/standard/Common/OCC_BaseView.h Diff File

Issue History

Date Modified Username Field Change
2020-04-24 16:52 kgv New Issue
2020-04-24 16:52 kgv Assigned To => kgv
2020-04-24 17:03 git Note Added: 0091786
2020-04-24 17:22 git Note Added: 0091788
2020-04-24 18:08 kgv Note Added: 0091792
2020-04-24 18:08 kgv Assigned To kgv => osa
2020-04-24 18:08 kgv Status new => resolved
2020-04-27 10:53 git Note Added: 0091817
2020-04-27 14:19 osa Note Added: 0091820
2020-04-27 14:19 osa Assigned To osa => bugmaster
2020-04-27 14:19 osa Status resolved => reviewed
2020-05-07 10:50 bugmaster Note Added: 0091977
2020-05-07 10:50 bugmaster Status reviewed => tested
2020-05-07 10:52 bugmaster Test case number => Not required
2020-05-10 14:01 bugmaster Changeset attached => occt master 7ff18fb9
2020-05-10 14:01 bugmaster Status tested => verified
2020-05-10 14:01 bugmaster Resolution open => fixed
2020-05-10 14:17 git Note Added: 0092050
2020-06-25 22:42 kgv Relationship added related to 0028087
2020-06-25 22:42 kgv Relationship added child of 0030507
2020-09-22 21:45 kgv Relationship added parent of 0031620
2020-09-22 21:46 kgv Relationship deleted parent of 0031620
2020-12-02 16:43 emo Fixed in Version => 7.5.0
2020-12-02 17:12 emo Status verified => closed
2021-09-20 10:21 kgv Relationship added child of 0029030